#! /bin/bash
#
# install script für maus und mausdaemon am Ubuntu-Linux-Client
#
##################################################################

pfad="/home/samba/progs/minisk/"
pfad2="/home/samba/progs/mausdienst/"
pfad3="/home/samba/progs/maus2/"
etcpfad="/etc/linuxmuster-client/maus/"
sbinpfad="/usr/sbin/"
initpfad="/etc/init.d/"
vncpass="/etc/x11vnc.pass"
vncname="x11vnc.pass"

##################################################################

if [ "$(id -u)" != "0" ]; then
   echo "###################################"
   echo "# This script must be run as root #"
   echo "###################################"
   exit 1
fi

echo "### Installation maus und mausdaemon wird gestartet ###"

apt-get -y install suckless-tools wakeonlan xvnc4viewer screen openssl

mkdir -p $etcpfad

echo "Dateien werden zum Client kopiert ..."

if [ -e "$etcpfad"mausdaemon.cfg ]; then
   echo "##################################################################################"
   echo "# ACHTUNG!                                                                       #"
   echo "# Die Konfigurationsdatei mausdaemon.cfg existiert schon, sie wird beibehalten.  #"
   echo "# Eine neue Konfigurationsdatei liegt nun unter mausdaemon.cfg.neu.              #"
   echo "# Ggf. die bisherige Konfigurationsdatei entsprechend anpassen.                  #"
   echo "##################################################################################"
   cp "$pfad2"mausdaemon.cfg "$etcpfad"mausdaemon.cfg.neu
else
   cp "$pfad2"mausdaemon.cfg $etcpfad
fi

cp "$pfad2"mausdaemon $sbinpfad
cp "$pfad2"mausdaemon.sh $initpfad
cp "$pfad2"sperren.sh $etcpfad
cp "$pfad2"freigeben.sh $etcpfad
cp "$pfad2"nachricht.sh $etcpfad
cp "$pfad2"befehl.sh $etcpfad
cp "$pfad2"closed.xbm $etcpfad
cp "$pfad2"md.md5 $etcpfad
cp "$pfad2"md.key $etcpfad
cp "$pfad2"md.cert $etcpfad

cp "$pfad"mini_sk.ico /usr/share/icons/
chmod 644 /usr/share/icons/mini_sk.ico
cp "$pfad"mini_sk.desktop /usr/share/applications/
chmod 755 /usr/share/applications/mini_sk.desktop

cp "$pfad3"maus.ico /usr/share/icons/
chmod 644 /usr/share/icons/maus.ico
cp "$pfad3"maus.desktop /usr/share/applications/
chmod 755 /usr/share/applications/maus.desktop

if [ -e "$vncpass" ]; then
  cp "$vncpass" "$pfad3$vncname"
  chmod 640 "$pfad3$vncname"
fi

echo "Zugriffsrechte werden gesetzt ..."

chown -R root:root $etcpfad
chmod -R 755 $etcpfad
chmod 640 "$etcpfad"mausdaemon.cfg "$etcpfad"md.md5

chown root:root "$sbinpfad"mausdaemon "$initpfad"mausdaemon.sh
chmod 755 "$sbinpfad"mausdaemon "$initpfad"mausdaemon.sh

echo "Boot-Script wird aktiviert ..."

/usr/sbin/update-rc.d mausdaemon.sh defaults

echo "### Installation mausdaemon beendet ###"

exit 0
